> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List customers for a business

> **Scopes:** `customer:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/business/{business_id}/customers
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/customers:
    get:
      tags:
        - Customer
      summary: List customers for a business
      description: '**Scopes:** `customer:read`'
      operationId: list_customers_v0_business__business_id__customers_get
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            type: string
            format: biz_string
            title: Business Id
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 255
              - type: 'null'
            description: >-
              Case-insensitive substring match against the customer's name.
              (value)
            title: Search
          description: >-
            Case-insensitive substring match against the customer's name.
            (value)
        - name: is_disabled
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              If true, only disabled customers are returned. Defaults to false
              (only active).
            default: false
            title: Is Disabled
          description: >-
            If true, only disabled customers are returned. Defaults to false
            (only active).
        - name: page_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                description: The page token to for the next or previous page
              - type: 'null'
            title: Page Token
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
            title: Page Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomersPaginated'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - customer:read
components:
  schemas:
    CustomersPaginated:
      properties:
        data:
          items:
            $ref: '#/components/schemas/Customer'
          type: array
          title: Data
          description: List of customers
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
          description: Pagination information
      type: object
      required:
        - data
        - pagination
      title: CustomersPaginated
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    Customer:
      properties:
        external_id:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: External Id
          description: The external ID of the customer
        name:
          type: string
          maxLength: 255
          title: Name
          description: The name of the customer
        email:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Email
          description: The email address of the customer
        billing_address:
          anyOf:
            - $ref: '#/components/schemas/Address'
            - type: 'null'
          description: The billing address of the customer
        shipping_address:
          anyOf:
            - $ref: '#/components/schemas/Address'
            - type: 'null'
          description: The shipping address of the customer
        phone_number:
          anyOf:
            - type: string
              maxLength: 32
            - type: 'null'
          title: Phone Number
          description: The phone number of the customer
        id:
          type: string
          format: cus_string
          title: Id
          description: The ID of the customer
        is_disabled:
          type: boolean
          title: Is Disabled
          description: Whether the customer is disabled
      type: object
      required:
        - name
        - id
        - is_disabled
      title: Customer
    PaginationResponse:
      properties:
        next_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page Token
          description: The next page token
        previous_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Page Token
          description: The previous page token
      type: object
      title: PaginationResponse
    Address:
      properties:
        street_1:
          type: string
          maxLength: 255
          title: Street 1
          description: The street address - line 1
        street_2:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Street 2
          description: The street address - line 2
        city:
          type: string
          maxLength: 100
          title: City
          description: The city
        state:
          type: string
          maxLength: 100
          title: State
          description: The state or province
        postal_code:
          type: string
          maxLength: 20
          title: Postal Code
          description: The postal or zip code
        country:
          type: string
          maxLength: 100
          title: Country
          description: The country
      type: object
      required:
        - street_1
        - city
        - state
        - postal_code
        - country
      title: Address
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````